ros-kinetic-actionlib (1.11.16-2xenial) xenial; urgency=high

  * Address RVD`#2401 <https://github.com/ros/actionlib/issues/2401>`_ (#170 <https://github.com/ros/actionlib/issues/170>) (#172 <https://github.com/ros/actionlib/issues/172>)
  * Fix tiny typo in docs (#141 <https://github.com/ros/actionlib/issues/141>)
  * fix: Corrected spelling recieved --> received (#136 <https://github.com/ros/actionlib/issues/136>)
  * Fixed warnings when compiling with -Wpedantic. (#135 <https://github.com/ros/actionlib/issues/135>)
  * action_server: call ActionServer<ActionSpec>::initialize() in constructor (#120 <https://github.com/ros/actionlib/issues/120>)
  * Print the correct error on waiting for result (#123 <https://github.com/ros/actionlib/issues/123>)
  * Merge pull request #97 <https://github.com/ros/actionlib/issues/97> from synapticon/remove-get-state-spam-error
  * Merge pull request #122 <https://github.com/ros/actionlib/issues/122> from ros/update-maintainer
  * Update maintainer.
  * fix(actionlib): Remove getState error output
  * Contributors: Alireza, Bence Magyar, Carl Saldanha, Christopher Wecht, Michael Carroll, Rein Appeldoorn, Remo Diethelm, Shane Loretz, methylDragon

 -- Michael Carroll <michael@openrobotics.org>  Fri, 21 Aug 2020 05:00:00 -0000

ros-kinetic-actionlib (1.11.15-2xenial) xenial; urgency=high

  * unique name for axtools title bar (#107 <https://github.com/ros/actionlib/issues/107>)
  * [bugfix] add missing ros / ros console includes (#114 <https://github.com/ros/actionlib/issues/114>)
  * [bugfix] update posix_time::milliseconds for boost 1.67 (#111 <https://github.com/ros/actionlib/issues/111>)
  * [test] Use portable boost::this_thread::sleep() to sleep so it can be built on Windows (#112 <https://github.com/ros/actionlib/issues/112>)
  * Revert (#106 <https://github.com/ros/actionlib/issues/106>) that broke downstream packages (#113 <https://github.com/ros/actionlib/issues/113>)
  * Contributors: Felix Messmer, Gianfranco Costamagna, Johnson Shih, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-kinetic-actionlib (1.11.14-2xenial) xenial; urgency=high

  * Complete the full set of Ptr typedefs (#106 <https://github.com/ros/actionlib/issues/106>)
  * Change boost::posix_time::milliseconds init to int64_t (#105 <https://github.com/ros/actionlib/issues/105>)
  * Added ROS_ERROR message for Release code when asserts are ignored (#94 <https://github.com/ros/actionlib/issues/94>)
  * fix typos. (#102 <https://github.com/ros/actionlib/issues/102>)
  * Contributors: Bence Magyar, Patrick Beeson, Tobias Fischer, csukuangfj

 -- Michael Carroll <michael@openrobotics.org>  Mon, 21 May 2018 05:00:00 -0000

ros-kinetic-actionlib (1.11.13-2xenial) xenial; urgency=high

  * [bugfix] added missing boost/thread/reverse_lock.hpp include (#95 <https://github.com/ros/actionlib/issues/95>)
  * Contributors: Robert Haschke

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 14 Mar 2018 05:00:00 -0000

ros-kinetic-actionlib (1.11.12-2xenial) xenial; urgency=high

  * fix uncrustify mixup (#92 <https://github.com/ros/actionlib/issues/92>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-kinetic-actionlib (1.11.11-2xenial) xenial; urgency=high

  * fix typo in server_goal_handle_imp.h (#89 <https://github.com/ros/actionlib/issues/89>)
  * Use RAII to handle mutexes (#87 <https://github.com/ros/actionlib/issues/87>)
  * Contributors: Cong Liu, Esteve Fernandez, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-kinetic-actionlib (1.11.10-2xenial) xenial; urgency=high

  * Clang tidy fixes (#86 <https://github.com/ros/actionlib/issues/86>)
  * C++ style (#72 <https://github.com/ros/actionlib/issues/72>)
  * Proper return value after assert (#83 <https://github.com/ros/actionlib/issues/83>)
  * switch to package format 2 (#82 <https://github.com/ros/actionlib/issues/82>)
  * remove trailing whitespaces (#81 <https://github.com/ros/actionlib/issues/81>)
  * lock listhandle earlier in getCommState in client_goal_handle_imp. active bool critical (#77 <https://github.com/ros/actionlib/issues/77>)
  * add missing runtime dependencies (#79 <https://github.com/ros/actionlib/issues/79>)
  * Contributors: Esteve Fernandez, Mikael Arguedas, johaq

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-kinetic-actionlib (1.11.9-2xenial) xenial; urgency=high

  * Python3 compatibility + pep8 compliance (#71 <https://github.com/ros/actionlib/issues/71>) follow-up of (#43 <https://github.com/ros/actionlib/issues/43>)
  * 
    
      * wait for ros::Time::now to become valid before init of connection_monitor (#62 <https://github.com/ros/actionlib/issues/62>)
      * bugfix : connection_monitor should wait for result
    
  * fixed default value for rosparam. closes #69 <https://github.com/ros/actionlib/issues/69> (#70 <https://github.com/ros/actionlib/issues/70>)
  * Contributors: 1r0b1n0, Mikael Arguedas, Piyush Khandelwal

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-kinetic-actionlib (1.11.8-2xenial) xenial; urgency=high

  * Fixes a deadlock (#64 <https://github.com/ros/actionlib/issues/64>)
  * Removed unused variables warnings (#63 <https://github.com/ros/actionlib/issues/63> #65 <https://github.com/ros/actionlib/issues/65>)
  * If using sim time, wait for /clock (#59 <https://github.com/ros/actionlib/issues/59>)
  * add parameters to configure queue sizes (#55 <https://github.com/ros/actionlib/pull/55>)
  * Contributors: Esteve Fernandez, Jonathan Meyer, Mikael Arguedas, Patrick Beeson, Robin Vanhove

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Feb 2017 06:00:00 -0000

ros-kinetic-actionlib (1.11.7-2xenial) xenial; urgency=high

  * Merge pull request #57 <https://github.com/ros/actionlib/issues/57> from stonier/patch-1
    Remove misleading error log
  * Remove misleading error log
    This was introduced in https://github.com/ros/actionlib/pull/43.
    It is not actually correct - you can feasibly get feedback here before a new goal is confirmed. See send_goal()....
    ```
    def send_goal(self, goal, done_cb=None, active_cb=None, feedback_cb=None):
    # destroys the old goal handle
    self.stop_tracking_goal()
    ...
    self.gh = self.action_client.send_goal(goal, self._handle_transition, self._handle_feedback)
    ```
    and of course it will take more time on top of this for the server to actually process the incoming goal and confirm it. Meantime, it may have sent us feedback messages.
  * Improved the const-correctness of some actionlib classes. (#50 <https://github.com/ros/actionlib/issues/50>)
  * Issue #51 <https://github.com/ros/actionlib/issues/51>: Remove annoying debug messages that make useless to enable debug on Python nodes, as they overwhelm less spamming messages (#54 <https://github.com/ros/actionlib/issues/54>)
  * reduce change of unncessary exception on shutdown bu checking directly in before publishing for a shutdown (#53 <https://github.com/ros/actionlib/issues/53>)
  * Contributors: Blake Anderson, Daniel Stonier, Jorge Santos Simón, Mikael Arguedas, uliklank

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-kinetic-actionlib (1.11.6-2xenial) xenial; urgency=high

  * Python code cleanup (#43 <https://github.com/ros/actionlib/issues/43>)
    * Cleaned up semicolons, indentation, spaces.
    * Removed unused local var after further confirmation of no risk of side effects.
  * Contributors: Andrew Blakey

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 05:00:00 -0000

ros-kinetic-actionlib (1.11.5-2xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #42 <https://github.com/ros/actionlib/issues/42> from jonbinney/python3-compat
    Python 3 compatibility changes
  * More readable iteration in state name lookup
  * Update syntax for exception handling
  * Iterate over dictionary in python3 compatible way
  * Use absolute imports for python3 compatibility
  * Merge pull request #39 <https://github.com/ros/actionlib/issues/39> from clearpathrobotics/action-fixup
    Minor improvements
  * Enable UI feedback for preempt-requested goal in axserver.py
  * Clean up axclient.py initialization to allow starting before actionserver, requires action type passed in
  * Add hashes to ServerGoalHandle and ClientGoalHandles
  * Contributors: Esteve Fernandez, Jon Binney, Mikael Arguedas, Paul Bovbel

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 05:00:00 -0000

ros-kinetic-actionlib (1.11.4-2xenial) xenial; urgency=high

  * Initialize execute_thread_ to NULL
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-kinetic-actionlib (1.11.3-2xenial) xenial; urgency=high

  * Increase queue sizes to match Python client publishers.
  * Adjust size of client publishers in Python
  * Contributors: Esteve Fernandez, Michael Ferguson

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 23 Dec 2014 06:00:00 -0000

ros-kinetic-actionlib (1.11.2-2xenial) xenial; urgency=high

  * Update python publishers to define queue_size.
  * Use the correct queue for processing MessageEvents
  * Contributors: Esteve Fernandez, Michael Ferguson, Nican

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 May 2014 05:00:00 -0000

ros-kinetic-actionlib (1.11.1-2xenial) xenial; urgency=high

  * Fix uninitialised execute_thread_ member pointer
  * Make rostest in CMakeLists optional
  * Use catkin_install_python() to install Python scripts
  * Contributors: Dirk Thomas, Esteve Fernandez, Jordi Pages, Lukas Bulwahn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 05:00:00 -0000

ros-kinetic-actionlib (1.11.0-2xenial) xenial; urgency=high

  * replace usage of __connection_header with MessageEvent (#20 <https://github.com/ros/actionlib/issues/20>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 13 Feb 2014 06:00:00 -0000

ros-kinetic-actionlib (1.10.3-2xenial) xenial; urgency=high

  * Merged pull request #15 <https://github.com/ros/actionlib/issues/15>
    Fixes a compile issue for actionlib headers on OS X

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 27 Aug 2013 05:00:00 -0000

ros-kinetic-actionlib (1.10.2-2xenial) xenial; urgency=high

  * separating ActionServer implementation into base class and ros-publisher-based class (#11 <https://github.com/ros/actionlib/issues/11>)
  * support CATKIN_ENABLE_TESTING
  * add isValid to ServerGoalHandle (#14 <https://github.com/ros/actionlib/issues/14>)
  * make operators const (#10 <https://github.com/ros/actionlib/issues/10>)
  * add counting of connections to avoid reconnect problem when callbacks are invoked in different order (#7 <https://github.com/ros/actionlib/issues/7>)
  * fix deadlock in simple_action_server.py (#4 <https://github.com/ros/actionlib/issues/4>)
  * fix missing runtime destination for library (#3 <https://github.com/ros/actionlib/issues/3>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-kinetic-actionlib (1.10.1-2xenial) xenial; urgency=high

  * fix location of library before installation (#1 <https://github.com/ros/actionlib/issues/1>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-kinetic-actionlib (1.10.0-2xenial) xenial; urgency=high

  * define DEPRECATED only if not defined already
  * modified dependency type of catkin to buildtool

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 11 Apr 2013 05:00:00 -0000

ros-kinetic-actionlib (1.9.11-2xenial) xenial; urgency=high

  * first public release for Groovy

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 13 Dec 2012 06:00:00 -0000

ros-kinetic-actionlib (1.8.7-2xenial) xenial; urgency=high

  * add new CommState LOST
  * added more missing dependencies

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 14 Jun 2012 05:00:00 -0000

ros-kinetic-actionlib (1.8.6-2xenial) xenial; urgency=high

  * added missing dependencies

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 05 Jun 2012 05:00:00 -0000

ros-kinetic-actionlib (1.8.5-2xenial) xenial; urgency=high

  * make axclient work base on topic name only

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 31 May 2012 05:00:00 -0000

ros-kinetic-actionlib (1.8.4-2xenial) xenial; urgency=high

  * add missing axserver/axclient install

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 05 Apr 2012 05:00:00 -0000

ros-kinetic-actionlib (1.8.3-2xenial) xenial; urgency=high

  * fix issue with locking in action server (#5391 <https://code.ros.org/trac/ros-pkg/ticket/5391>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 15 Mar 2012 05:00:00 -0000

ros-kinetic-actionlib (1.8.2-2xenial) xenial; urgency=high

  * update to newer catkin API

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 29 Feb 2012 06:00:00 -0000

ros-kinetic-actionlib (1.8.1-2xenial) xenial; urgency=high

  * fix Python packaging

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 21 Feb 2012 06:00:00 -0000

ros-kinetic-actionlib (1.8.0-2xenial) xenial; urgency=high

  * separated from common stack
  * converted to use catkin

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Feb 2012 06:00:00 -0000


